Xoops Cube Legacy 2.2 beta1のエラーメッセージ消す方法

Webジャンクション効果をフォローしてね!

先月リリースされたXoops Cube Legacy 2.2のベータ版を遅ればせながらインストールしてみました。
が、インストールしてみたところこんなエラーメッセージが出てきてしまいました。

このエラーメッセージの表示を回避する方法を(多分間違った方法ですが)、備忘録がわりに記載しておきます。


XOOPS_ROOT_PATH/modules/legacy/language/ja_utf8/global.phpの一番最後に、

//%%%%%          LANGUAGE SPECIFIC SETTINGS   %%%%%
if (!defined(‘_CHARSET’)) {
     define(‘_CHARSET’, ‘UTF-8’);
}

if (!defined(‘_LANGCODE’)) {
     define(‘_LANGCODE’, ‘ja’);

を追加すれば、取りあえずエラーメッセージは回避されます。

【追記】

わざわざこんな面倒しなくても、

http://xoopscube.jp/forum/6785?comment_id=20647

に記載されている、SetupAltsysLangMgr.class.php を書き換えた方が良さそうです。
少なくとも、やり方としてはこちらの方が断然スマートなので。

コメントを残す